Index: trunk/src/subprojects/particles/Makefile.am
===================================================================
--- trunk/src/subprojects/particles/Makefile.am	(revision 5485)
+++ trunk/src/subprojects/particles/Makefile.am	(revision 5546)
@@ -36,4 +36,5 @@
                    $(MAINSRCDIR)/lib/util/substring.cc \
                    $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/util/loading/load_param_description.cc \
 		   $(MAINSRCDIR)/lib/util/helper_functions.cc \
                    $(MAINSRCDIR)/util/loading/factory.cc \
Index: trunk/src/subprojects/particles/Makefile.in
===================================================================
--- trunk/src/subprojects/particles/Makefile.in	(revision 5485)
+++ trunk/src/subprojects/particles/Makefile.in	(revision 5546)
@@ -62,4 +62,5 @@
 	particles-gui_gtk.$(OBJEXT) particles-substring.$(OBJEXT) \
 	particles-load_param.$(OBJEXT) \
+	particles-load_param_description.$(OBJEXT) \
 	particles-helper_functions.$(OBJEXT) \
 	particles-factory.$(OBJEXT) particles-color.$(OBJEXT) \
@@ -233,4 +234,5 @@
                    $(MAINSRCDIR)/lib/util/substring.cc \
                    $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/util/loading/load_param_description.cc \
 		   $(MAINSRCDIR)/lib/util/helper_functions.cc \
                    $(MAINSRCDIR)/util/loading/factory.cc \
@@ -316,4 +318,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-light.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-load_param.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-load_param_description.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-null_parent.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-p_node.Po@am__quote@
@@ -562,4 +565,18 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-load_param.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param.cc'; fi`
+
+particles-load_param_description.o: $(MAINSRCDIR)/util/loading/load_param_description.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-load_param_description.o -MD -MP -MF "$(DEPDIR)/particles-load_param_description.Tpo" -c -o particles-load_param_description.o `test -f '$(MAINSRCDIR)/util/loading/load_param_description.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/load_param_description.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-load_param_description.Tpo" "$(DEPDIR)/particles-load_param_description.Po"; else rm -f "$(DEPDIR)/particles-load_param_description.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/load_param_description.cc' object='particles-load_param_description.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-load_param_description.o `test -f '$(MAINSRCDIR)/util/loading/load_param_description.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/load_param_description.cc
+
+particles-load_param_description.obj: $(MAINSRCDIR)/util/loading/load_param_description.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-load_param_description.obj -MD -MP -MF "$(DEPDIR)/particles-load_param_description.Tpo" -c -o particles-load_param_description.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param_description.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param_description.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param_description.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-load_param_description.Tpo" "$(DEPDIR)/particles-load_param_description.Po"; else rm -f "$(DEPDIR)/particles-load_param_description.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/load_param_description.cc' object='particles-load_param_description.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-load_param_description.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param_description.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param_description.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param_description.cc'; fi`
 
 particles-helper_functions.o: $(MAINSRCDIR)/lib/util/helper_functions.cc
